Loading...
Searching...
No Matches
OgreBites::AdvancedRenderControls Class Reference
Optional Components » Bites

`#include <OgreAdvancedRenderControls.h>`

Inheritance diagram for OgreBites::AdvancedRenderControls:
[legend]

## Public Member Functions

| AdvancedRenderControls (TrayManager *trayMgr, Ogre::Camera *cam)
| ~AdvancedRenderControls ()
void | frameRendered (const Ogre::FrameEvent &evt) override
bool | keyPressed (const KeyboardEvent &evt) override
Public Member Functions inherited from OgreBites::InputListener
virtual | ~InputListener ()
virtual bool | axisMoved (const AxisEvent &evt)
virtual bool | buttonPressed (const ButtonEvent &evt)
virtual bool | buttonReleased (const ButtonEvent &evt)
virtual bool | hatMoved (const HatEvent &evt)
virtual bool | keyReleased (const KeyboardEvent &evt)
virtual bool | mouseMoved (const MouseMotionEvent &evt)
virtual bool | mousePressed (const MouseButtonEvent &evt)
virtual bool | mouseReleased (const MouseButtonEvent &evt)
virtual bool | mouseWheelRolled (const MouseWheelEvent &evt)
virtual bool | textInput (const TextInputEvent &evt)
virtual bool | touchMoved (const TouchFingerEvent &evt)
virtual bool | touchPressed (const TouchFingerEvent &evt)
virtual bool | touchReleased (const TouchFingerEvent &evt)

## Detailed Description

- F: Toggle frame rate stats on/off
- G: Toggle advanced frame stats on/off
- P Toggle profiler window on/ off
- R: Render mode
  - Wireframe
  - Points
  - Solid
- T: Cycle texture filtering
  - Bilinear
  - Trilinear
  - Anisotropic(8)
  - None
- F2: RTSS: Set the main viewport material scheme to default material manager scheme.
- F3: RTSS: Toggle default shader generator lighting model from per vertex to per pixel.
- F4: RTSS: Switch vertex shader outputs compaction policy.
- F5: Reload all textures
- F6: Take a screenshot

## Constructor & Destructor Documentation

## AdvancedRenderControls()

OgreBites::AdvancedRenderControls::AdvancedRenderControls | ( | TrayManager * | trayMgr,
|  | Ogre::Camera * | cam )

## ~AdvancedRenderControls()

OgreBites::AdvancedRenderControls::~AdvancedRenderControls | ( |  | ) |

## Member Function Documentation

## keyPressed()

bool OgreBites::AdvancedRenderControls::keyPressed | ( | const KeyboardEvent & | evt | ) |

override virtual

Reimplemented from OgreBites::InputListener.

## frameRendered()

void OgreBites::AdvancedRenderControls::frameRendered | ( | const Ogre::FrameEvent & | evt | ) |

override virtual

Reimplemented from OgreBites::InputListener.

The documentation for this class was generated from the following file:

- OgreAdvancedRenderControls.h